Summary:	Device driver/utilities for Equinox SST SuperSerial family
Name:		eqnx
Version:	4.03
Release:	15
Copyright:	GPL
Group:		System Environment/Kernel
URL:		http://www.equinox.com
Vendor:		Equinox Systems, Inc. 
Packager:	Mike Straub <mstraub@equinox.com>
ExclusiveOS:	Linux
BuildRoot:	/var/tmp/%{name}-build
Source:		eqnx-4.03.tar.gz 
Source1:	eqnx-rh.tar.gz
Patch:		eqnx-rh-sourcepath.patch 
Patch1:		eqnx-rh-logpath.patch
Requires: chkconfig, modutils 
Buildrequires: kernel-source >= 2.2

%description
Provides device driver and diagnostic utilities for Equinox SuperSerial
multiport and expandable host controller boards.  This driver supports
ISA, EISA and PCI versions of the 2, 4, 8 and 16 port boards as well 
as the expandable 64 and 128 port boards and the 4RJ and 8RJ boards.
ISA and EISA are not available on Itanium systems.

%prep
%setup
%setup -T -D -a 1
%patch -p1
%patch1 -p1

%build
make clean
make build

%install
KERNEL_VERSION=`uname -r`
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/eqnx
mkdir -p $RPM_BUILD_ROOT/lib/modules/$KERNEL_VERSION/kernel/drivers/char
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/sst
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/eqnx-%{version}/
mkdir -p $RPM_BUILD_ROOT/var/eqnx
cp ./drv/eqnx.o $RPM_BUILD_ROOT/lib/modules/$KERNEL_VERSION/kernel/drivers/char
cp ./inst/RELEASE.TXT $RPM_BUILD_ROOT/usr/share/doc/eqnx-%{version}/
cp ./utils/ssdiag/README.ssdiag $RPM_BUILD_ROOT/usr/share/doc/eqnx-%{version}/
cp eqnx $RPM_BUILD_ROOT/etc/init.d/
cp eqnx-rh.txt $RPM_BUILD_ROOT/usr/share/doc/eqnx-%{version}/
cp ./utils/ssdiag/sscode $RPM_BUILD_ROOT/usr/bin/
cp ./utils/ssdiag/ssdiag $RPM_BUILD_ROOT/usr/bin/
cp ./utils/ssmkn $RPM_BUILD_ROOT/usr/bin/
cp ./utils/sstty $RPM_BUILD_ROOT/usr/bin/
cp ./utils/ssdiag/ss.hlp $RPM_BUILD_ROOT/usr/lib/sst/ss.hlp
./makedev-eqnx $RPM_BUILD_ROOT device-list -f
echo "/lib/modules/$KERNEL_VERSION/kernel/drivers/char/eqnx.o" >> device-list
touch $RPM_BUILD_ROOT/etc/eqnx/database

%preun
/sbin/service eqnx stop > /dev/null
chkconfig --del eqnx > /dev/null

%post
depmod -a
chkconfig --add eqnx > /dev/null

%postun
depmod -a

%files -f device-list
%defattr(-,root,root)
%dir /etc/eqnx
%doc /usr/share/doc/eqnx-%{version}/RELEASE.TXT
%doc /usr/share/doc/eqnx-%{version}/README.ssdiag
%doc /usr/share/doc/eqnx-%{version}/eqnx-rh.txt
%dir /var/eqnx
/dev/eqn
/dev/eqn0
/dev/eqn1
/etc/eqnx/database
/etc/init.d/eqnx
/usr/bin/sscode
/usr/bin/ssdiag
/usr/bin/ssmkn
/usr/bin/sstty
/usr/lib/sst/ss.hlp

%changelog
* Wed Jan 2 2002 Rob Landry (rlandry@redhat.com)
- Updated to correct filelist and /dev/eqn entries and added ssmkn to properly 
  handle the configuration database files.  Relocated logfile from 
  /etc/eqnx to /var/eqnx.  Added eqnx-rh.txt.

* Thu Dec 21 2001 Rob Landry (rlandry@redhat.com)
- Removed mknod type applications from rpm.  Replaced with
  actual dev ownership.

* Thu Dec 13 2001 Rob Landry (rlandry@redhat.com)
- Updated to reflect Red Hat specic changes to ensure 'Red Hat Ready' 
  compatibility.  Red Hat system assumptions are made; this may impact other
  distrobutions.

* Mon Nov 19 2001 Mike Straub (mstraub@equinox.com)
- conversion of existing RPM to comply with "good practices".
